Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.framework
Interface EPPEventHandler

All Known Implementing Classes:
  BalanceHandler, CoaDomainHandler, ContactHandler, DefRegHandler, DomainHandler, EmailFwdHandler, EPPBalanceHandler, EPPContactHandler, EPPDefRegHandler, EPPDomainHandler, EPPEmailFwdHandler, EPPGenHandler, EPPHostHandler, EPPNameWatchHandler, EPPRegistryHandler, EPPSuggestionHandler, EPPTestGenHandler, EPPWhoWasHandler, GenHandler, HostHandler, IdnDomainHandler, JobsContactHandler, LaunchDomainHandler, LowBalanceDomainHandler, NamestoreExtDomainHandler, NamestoreExtHostHandler, NameWatchHandler, NSDomainHandler, PersRegDomainHandler, PersRegEmailFwdHandler, PremiumDomainHandler, RegistryHandler, RelatedDomainHandler, RgpDomainHandler, SecDNSDomainHandler, SuggestionHandler, SyncDomainHandler, WhoisDomainHandler, WhoWasHandler

    public interface EPPEventHandler

The `EPPEventHandler` interface defines the interface used to be notified of EPPEvents.

Version:
  $Revision: 1.2 $
Author:
  $Author: jim $
See Also:
  `EPPException`

Method Summary
`java.lang.String` | `getNamespace()` The Namespace that a handler is associated with.
`EPPEventResponse` | `handleEvent(EPPEvent aEvent, java.lang.Object aData)` Invoked when an EPPMessage should be handled

Method Detail

### handleEvent

    EPPEventResponse handleEvent(EPPEvent aEvent,
                                 java.lang.Object aData)
                                 throws EPPEventException

  Invoked when an EPPMessage should be handled

  Parameters:
    `aEvent` - The Event to be handled
    `aData` - Any additional data that may need to be received.
  Returns:
    `EPPEventResponse` The response to return
  Throws:
    `EPPEventException`

### getNamespace

    java.lang.String getNamespace()

  The Namespace that a handler is associated with.

  Returns:
    String The Namespace that the handler is associated with.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.